(function ($) {
    $.block_gallery_default = function (element, options) {
        var defaults = {
            class_name_drawerel:""
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element),
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            let quantity;
            $element.find('.img-box-gallary-item').fancybox({
                'transitionIn'	:	'elastic',
                'transitionOut'	:	'elastic',
                'speedIn'		:	600,
                'speedOut'		:	200,
                'overlayShow'	:	true,
            });
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }

    $.fn.block_gallery_default = function (options) {

        return this.each(function () {

            if (undefined == $(this).data('block_gallery_default')) {
                var plugin = new $.block_gallery_default(this, options);
                $(this).data('block_gallery_default', plugin);
            }
        });
    }
})(jQuery);
